#
# spec file for package tderadio
#

Name:      tderadio
License:   GPL
Summary:   V4L/V4L2-Radio Application for KDE
Version: snapshot_2006_11_12_r497
Release: 1.mandrake
Vendor:    Martin Witte <witte@kawo1.rwth-aachen.de>
Packager:  Martin Witte <witte@kawo1.rwth-aachen.de>
Url:       http://sourceforge.net/projects/tderadio
Group:     trinity
Source:    tderadio-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Comfortable V4L/V4L2-Radio Application for KDE

TDERadio is a comfortable radio application for KDE with support for 
V4L and V4L2 radio cards drivers.

TDERadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Timeshifter Capability
* Recording Capabilities (mp3, ogg/vorbis, wav, ...)
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset
files for many cities around the world contributed by TDERadio Users.

As TDERadio is based on an extendable plugin architecture, contributions
of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

Authors:
--------
    Ernst Martin Witte <witte@kawo1.rwth-aachen.de>
    Marcus Camen <mcamen@mcamen.de>
    Klas Kalass <klas.kalass@gmx.de>
    Frank Schwanz <schwanz@fh-brandenburg.de>

%prep
%setup -q
. /etc/opt/trinity/common_options
update_admin --no-final

%build
. /etc/opt/trinity/common_options
./configure $configkde --without-gl --libdir=$kde_libdir
  
make

%install
. /etc/opt/trinity/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET

%files
%defattr(-,root,root)
/opt/trinity/bin
/opt/trinity/share/appl*/*/*.desktop
/opt/trinity/lib*/tderadio
/opt/trinity/share/apps/tderadio
/opt/trinity/share/locale
